Bug 228299 - Review Request: python-metar - Coded METAR weather reports parser for Python
Review Request: python-metar - Coded METAR weather reports parser for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On:
Blocks: 233598
  Show dependency treegraph
 
Reported: 2007-02-12 11:09 EST by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 12:49:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lxtnow: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2007-02-12 11:09:21 EST
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/python-metar/
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/python-metar/
Description: Python package that parses coded METAR weather reports.
Comment 1 Matthias Saou 2007-03-01 09:21:40 EST
Please note that this is a totally trivial package from the packaging point of
view, so it should be really easy and quick to review.
Comment 2 Xavier Lamien 2007-03-23 12:12:27 EDT
it'll done this week-end
Comment 3 Xavier Lamien 2007-03-25 16:26:28 EDT
rpmlint output from rpm built package:

E: python-metar non-executable-script
/usr/lib/python2.4/site-packages/metar/Metar.py 0644
E: python-metar non-executable-script
/usr/lib/python2.4/site-packages/metar/__init__.py 0644

should be fix.
Comment 4 Matthias Saou 2007-03-26 07:19:34 EDT
Very few *.py files under site-packages are executable. I don't know what the
current policy is, nor if rpmlint gets it right. What I do think is that these
files don't need to be executable since they will never be run on there own,
they will always be included.

So in this case, I don't think this needs fixing...
Comment 5 Xavier Lamien 2007-03-26 18:53:35 EDT
well,

if they will never be run, i think you can make rpmlint silent by remove shebang
from theses files.
Comment 6 Matthias Saou 2007-03-27 12:57:13 EDT
Well, if you insist... done in 1.3.0-2.
Comment 7 Xavier Lamien 2007-03-29 14:02:53 EDT
> if you insist... done in 1.3.0-2.

...^^

Well,

OK - Mock Build on FC-6 and FC-Devel (i386)
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License is MIT
OK - Spec in American English
OK - Spec is legible.
OK - Package has correct buildroot.
OK - BuildRequires isn't redundant.
OK - %build and %install stages is correct and work.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Changelog section is correct.
OK - rpmlint output are silent on RPMs (including sub-package) and SRPM files.

others:

OK - Should function as described.

NO - License file is missing in package.

----------

Comment 8 Matthias Saou 2007-03-30 05:36:30 EDT
From the Review Guidelines :
"MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc."

The package does not contain a file with the license, but the PKG-INFO file
indicates clearly that it is MIT licensed, and the full license is at the bottom
of the included README file.

Also, please set the fedora-review flag to "?" if you are effectively doing a
formal review of this package, thanks!
Comment 9 Xavier Lamien 2007-03-30 08:39:01 EDT
well,

OK - License mixed/included in README file which's included in package.


-------------
APPROVED
-------------
Comment 10 Matthias Saou 2007-03-30 09:19:22 EDT
New Package CVS Request
=======================
Package Name: python-metar
Short Description: Coded METAR weather reports parser for Python
Owners: matthias@rpmforge.net
Branches: devel FC-6 FC-5 EL-5 EL-4 (all current)
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.